using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Distinct : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnExecutar_Click(object sender, EventArgs e)
    {
        using (NorthwindDataContext db = new NorthwindDataContext())
        {
            var clientes = (from c in db.Customers                           
                           select new { c.City,c.Country}).Distinct();
            GridView1.DataSource = clientes;
            GridView1.DataBind();
        }
    }
}